
%-------------------------------------------------------------------------------
%   Simulation routine for testing DFF guidance and control laws. 
%-------------------------------------------------------------------------------
%   Usage:
%   [t,el,fH,xH,dEl,dElDes] = DFFSim( el0, dEl0, teamGoals, dT, planTime, nOrbits, J2 );
%-------------------------------------------------------------------------------
%
%   ------
%   Inputs
%   ------
%   el0          (1,6)  Initial reference orbital elements  (Alfriend format)
%   dEl0         (1,6)  Initial orbital element differences (Alfriend format)
%   teamGoals     (.)   Goals data structure defining desired relative motion for team
%   dT            (1)   Time step for the simulation [sec]
%   planTime      (1)   Time (into sim) to plan the reconfiguration maneuver [orbits]
%   nOrbits       (1)   Number of orbits to simulate [orbits]
%   J2            (1)   Flag indicating whether to simulate with J2 or not
%
%   -------
%   Outputs
%   -------
%   t            (1,:)  Time vector [orbits] 
%   el           (:,6)  Orbital elements of the reference (Alfriend format)
%   fH           (3,:)  Applied thrust in Hills frame [kN]
%   xH           (6,:)  Relative position and velocity in Hills frame [km; km/s]
%   dEl          (:,6)  Mean orbital element differences    (Alfriend format)
%   dElDes       (:,6)  Desired orbital element differences (Alfriend format)
%   
%-------------------------------------------------------------------------------